//
//   File : optw_ctcp.cpp
//   Creation date : Sun Dec  2 20:40:43 2001 GMT by Szymon Stefanek
//
//   This file is part of the KVirc irc client distribution
//   Copyright (C) 2001 Szymon Stefanek (stefanek@tin.it)
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc. ,59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

#include "optw_ctcp.h"

#include "kvi_settings.h"
#include "kvi_locale.h"
#include "kvi_options.h"

//#ifdef COMPILE_INFO_TIPS
//	#include <qtooltip.h>
//#endif

KviCtcpOptionsWidget::KviCtcpOptionsWidget(QWidget * parent)
: KviOptionsWidget(parent,"ctcp_options_widget")
{

	createLayout(1,1);

	QLabel * l = addLabel(0,0,0,0,__tr("<center><b>CTCP</b> stands for <b>C</b>lient <b>t</b>o <b>C</b>lient <b>p</b>rotocol.<br><br>" \
										"It is used to transmit special control messages over an IRC connection.<br>" \
										"The options in this section will modify the KVIrc behaviour regarding the CTCP requests and replies.<br><br>" \
										"Tip: do NOT totally disable CTCP's: they are useful and fun. KVIrc has a builtin " \
										"CTCP-flood protection system: use that instead.</center>"));
}


KviCtcpOptionsWidget::~KviCtcpOptionsWidget()
{
}


#include "m_optw_ctcp.moc"
