//
//   File : optw_interfacefeatures.cpp
//   Creation date : Sat Jun 2 2001 14:52:53 CEST by Szymon Stefanek
//
//   This file is part of the KVirc irc client distribution
//   Copyright (C) 2001 Szymon Stefanek (stefanek@tin.it)
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc. ,59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

#include "optw_interfacefeatures.h"

#include <qlayout.h>
#include <qlabel.h>
#include <string.h>

#include "kvi_options.h"
#include "kvi_locale.h"


KviInterfaceFeaturesOptionsWidget::KviInterfaceFeaturesOptionsWidget(QWidget * parent)
: KviOptionsWidget(parent,"interfacefeatures_options_widget")
{
	createLayout(10,2);

	addBoolSelector(0,0,1,0,__tr("Windows remember properties"),KviOption_boolWindowsRememberProperties);
	addBoolSelector(0,1,1,1,__tr("Show the options dialog as toplevel window"),KviOption_boolShowGeneralOptionsDialogAsToplevel);
//	addBoolSelector(0,2,1,2,__tr("Show the script center as toplevel window"),KviOption_boolShowScriptCenterDialogAsToplevel);
	addBoolSelector(0,2,1,2,__tr("Show the registered users dialog as toplevel window"),KviOption_boolShowRegisteredUsersDialogAsToplevel);
	addBoolSelector(0,3,1,3,__tr("Show the join channels dialog as a toplevel window"),KviOption_boolShowChannelsJoinDialogAsToplevel);
	addBoolSelector(0,4,1,4,__tr("Show the servers connect dialog as a toplevel window"),KviOption_boolShowServersConnectDialogAsToplevel);
	addBoolSelector(0,5,1,5,__tr("Show the identity dialog as a toplevel window"),KviOption_boolShowIdentityDialogAsToplevel);
//	addBoolSelector(0,7,1,7,__tr("Use single IRC tool bar"),KviOption_boolSingleIrcToolBar);
	addBoolSelector(0,6,1,6,__tr("Use task bar IRC-context indicator"),KviOption_boolUseTaskBarIrcContextIndicator);
	addBoolSelector(0,7,1,7,__tr("Use tree-window-list task bar"),KviOption_boolUseTreeWindowListTaskBar);
   addBoolSelector(0,8,1,8,__tr("Use taskbar icons"),KviOption_boolUseTaskBarIcons);

	addRowSpacer(0,9,1,9);
}

KviInterfaceFeaturesOptionsWidget::~KviInterfaceFeaturesOptionsWidget()
{
}


#include "m_optw_interfacefeatures.moc"
